<bugID>1210801<Summary>Error opening input stream while launching WebIDE, device connection fails</Summary><Description>User Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:43.0) Gecko/20100101 Firefox/43.0
Build ID: 20151001004012

Steps to reproduce:

Enable WebIDE error logging as per https://developer.mozilla.org/en-US/docs/Tools/WebIDE/Troubleshooting#Enable_logging then open the browser console followed by the WebIDE


Actual results:

'Error opening input stream (invalid filename?): resource://gre/components/TCPSocket.js: undefined' is logged to the browser console, and the WebIDE is then unable to connect to any devices over USB or WiFi (chrome is able to connect successfully, and adb devices works correctly).


Expected results:

No errors should have been logged to the console, and the WebIDE should be able to connect to devices over WiFi and USB.</Description></bugID>